io.vertx.core.http

## Class HttpHeaders

- java.lang.Object
- - io.vertx.core.http.HttpHeaders

-     public final class HttpHeaders
      extends Object

  Contains often used Header names.

  It also contains a utility method to create optimized `CharSequence` which can be used as header name and value.

  Author:
    Norman Maurer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CharSequence` | `ACCEPT` Accept header name
    `static CharSequence` | `ACCEPT_CHARSET` Accept-Charset header name
    `static CharSequence` | `ACCEPT_ENCODING` Accept-Encoding header name
    `static CharSequence` | `ACCEPT_LANGUAGE` Accept-Language header name
    `static CharSequence` | `ACCEPT_PATCH` Accept-Patch header name
    `static CharSequence` | `ACCEPT_RANGES` Accept-Ranges header name
    `static CharSequence` | `ACCESS_CONTROL_ALLOW_CREDENTIALS` Access-Control-Allow-Credentials header name
    `static CharSequence` | `ACCESS_CONTROL_ALLOW_HEADERS` Access-Control-Allow-Headers header name
    `static CharSequence` | `ACCESS_CONTROL_ALLOW_METHODS` Access-Control-Allow-Methods header name
    `static CharSequence` | `ACCESS_CONTROL_ALLOW_ORIGIN` Access-Control-Allow-Origin header name
    `static CharSequence` | `ACCESS_CONTROL_EXPOSE_HEADERS` Access-Control-Expose-Headers header name
    `static CharSequence` | `ACCESS_CONTROL_MAX_AGE` Access-Control-Max-Age header name
    `static CharSequence` | `ACCESS_CONTROL_REQUEST_HEADERS` Access-Control-Request-Headers header name
    `static CharSequence` | `ACCESS_CONTROL_REQUEST_METHOD` Access-Control-Request-Method header name
    `static CharSequence` | `AGE` Age header name
    `static CharSequence` | `ALLOW` Allow header name
    `static CharSequence` | `APPLICATION_X_WWW_FORM_URLENCODED` application/x-www-form-urlencoded header value
    `static CharSequence` | `AUTHORIZATION` Authorization header name
    `static CharSequence` | `CACHE_CONTROL` Cache-Control header name
    `static CharSequence` | `CHUNKED` chunked header value
    `static CharSequence` | `CLOSE` close header value
    `static CharSequence` | `CONNECTION` Connection header name
    `static CharSequence` | `CONTENT_BASE` Content-Base header name
    `static CharSequence` | `CONTENT_ENCODING` Content-Encoding header name
    `static CharSequence` | `CONTENT_LANGUAGE` Content-Language header name
    `static CharSequence` | `CONTENT_LENGTH` Content-Length header name
    `static CharSequence` | `CONTENT_LOCATION` Content-Location header name
    `static CharSequence` | `CONTENT_MD5` Content-MD5 header name
    `static CharSequence` | `CONTENT_RANGE` Content-Rage header name
    `static CharSequence` | `CONTENT_TRANSFER_ENCODING` Content-Transfer-Encoding header name
    `static CharSequence` | `CONTENT_TYPE` Content-Type header name
    `static CharSequence` | `CONTINUE` 100-continue header value
    `static CharSequence` | `COOKIE` Content-Cookie header name
    `static CharSequence` | `DATE` Date header name
    `static CharSequence` | `DEFLATE_GZIP` deflate,gzip header value
    `static CharSequence` | `ETAG` Etag header name
    `static CharSequence` | `EXPECT` Expect header name
    `static CharSequence` | `EXPIRES` Expires header name
    `static CharSequence` | `FROM` From header name
    `static CharSequence` | `GET` GET header value
    `static CharSequence` | `HOST` Host header name
    `static CharSequence` | `IDENTITY` identity header value
    `static CharSequence` | `IF_MATCH` If-Match header name
    `static CharSequence` | `IF_MODIFIED_SINCE` If-Modified-Since header name
    `static CharSequence` | `IF_NONE_MATCH` If-None-Match header name
    `static CharSequence` | `KEEP_ALIVE` keep-alive header value
    `static CharSequence` | `LAST_MODIFIED` Last-Modified header name
    `static CharSequence` | `LOCATION` Location header name
    `static CharSequence` | `ORIGIN` Origin header name
    `static CharSequence` | `PROXY_AUTHENTICATE` Proxy-Authenticate header name
    `static CharSequence` | `PROXY_AUTHORIZATION` Proxy-Authorization header name
    `static CharSequence` | `REFERER` Referer header name
    `static CharSequence` | `RETRY_AFTER` Retry-After header name
    `static CharSequence` | `SERVER` Server header name
    `static CharSequence` | `SET_COOKIE` Set-Cookie header name
    `static CharSequence` | `TEXT_HTML` text/html header value
    `static CharSequence` | `TRANSFER_ENCODING` Transfer-Encoding header name
    `static CharSequence` | `UPGRADE` Upgrade header value
    `static CharSequence` | `USER_AGENT` User-Agent header name
    `static CharSequence` | `WEBSOCKET` WebSocket header value

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CharSequence` | `createOptimized(String value)` Create an optimized `CharSequence` which can be used as header name or value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACCEPT

          public static final CharSequence ACCEPT

      Accept header name

    - #### ACCEPT_CHARSET

          public static final CharSequence ACCEPT_CHARSET

      Accept-Charset header name

    - #### ACCEPT_ENCODING

          public static final CharSequence ACCEPT_ENCODING

      Accept-Encoding header name

    - #### ACCEPT_LANGUAGE

          public static final CharSequence ACCEPT_LANGUAGE

      Accept-Language header name

    - #### ACCEPT_RANGES

          public static final CharSequence ACCEPT_RANGES

      Accept-Ranges header name

    - #### ACCEPT_PATCH

          public static final CharSequence ACCEPT_PATCH

      Accept-Patch header name

    - #### ACCESS_CONTROL_ALLOW_CREDENTIALS

          public static final CharSequence ACCESS_CONTROL_ALLOW_CREDENTIALS

      Access-Control-Allow-Credentials header name

    - #### ACCESS_CONTROL_ALLOW_HEADERS

          public static final CharSequence ACCESS_CONTROL_ALLOW_HEADERS

      Access-Control-Allow-Headers header name

    - #### ACCESS_CONTROL_ALLOW_METHODS

          public static final CharSequence ACCESS_CONTROL_ALLOW_METHODS

      Access-Control-Allow-Methods header name

    - #### ACCESS_CONTROL_ALLOW_ORIGIN

          public static final CharSequence ACCESS_CONTROL_ALLOW_ORIGIN

      Access-Control-Allow-Origin header name

    - #### ACCESS_CONTROL_EXPOSE_HEADERS

          public static final CharSequence ACCESS_CONTROL_EXPOSE_HEADERS

      Access-Control-Expose-Headers header name

    - #### ACCESS_CONTROL_MAX_AGE

          public static final CharSequence ACCESS_CONTROL_MAX_AGE

      Access-Control-Max-Age header name

    - #### ACCESS_CONTROL_REQUEST_HEADERS

          public static final CharSequence ACCESS_CONTROL_REQUEST_HEADERS

      Access-Control-Request-Headers header name

    - #### ACCESS_CONTROL_REQUEST_METHOD

          public static final CharSequence ACCESS_CONTROL_REQUEST_METHOD

      Access-Control-Request-Method header name

    - #### AGE

          public static final CharSequence AGE

      Age header name

    - #### ALLOW

          public static final CharSequence ALLOW

      Allow header name

    - #### AUTHORIZATION

          public static final CharSequence AUTHORIZATION

      Authorization header name

    - #### CACHE_CONTROL

          public static final CharSequence CACHE_CONTROL

      Cache-Control header name

    - #### CONNECTION

          public static final CharSequence CONNECTION

      Connection header name

    - #### CONTENT_BASE

          public static final CharSequence CONTENT_BASE

      Content-Base header name

    - #### CONTENT_ENCODING

          public static final CharSequence CONTENT_ENCODING

      Content-Encoding header name

    - #### CONTENT_LANGUAGE

          public static final CharSequence CONTENT_LANGUAGE

      Content-Language header name

    - #### CONTENT_LENGTH

          public static final CharSequence CONTENT_LENGTH

      Content-Length header name

    - #### CONTENT_LOCATION

          public static final CharSequence CONTENT_LOCATION

      Content-Location header name

    - #### CONTENT_TRANSFER_ENCODING

          public static final CharSequence CONTENT_TRANSFER_ENCODING

      Content-Transfer-Encoding header name

    - #### CONTENT_MD5

          public static final CharSequence CONTENT_MD5

      Content-MD5 header name

    - #### CONTENT_RANGE

          public static final CharSequence CONTENT_RANGE

      Content-Rage header name

    - #### CONTENT_TYPE

          public static final CharSequence CONTENT_TYPE

      Content-Type header name

    - #### COOKIE

          public static final CharSequence COOKIE

      Content-Cookie header name

    - #### DATE

          public static final CharSequence DATE

      Date header name

    - #### ETAG

          public static final CharSequence ETAG

      Etag header name

    - #### EXPECT

          public static final CharSequence EXPECT

      Expect header name

    - #### EXPIRES

          public static final CharSequence EXPIRES

      Expires header name

    - #### FROM

          public static final CharSequence FROM

      From header name

    - #### HOST

          public static final CharSequence HOST

      Host header name

    - #### IF_MATCH

          public static final CharSequence IF_MATCH

      If-Match header name

    - #### IF_MODIFIED_SINCE

          public static final CharSequence IF_MODIFIED_SINCE

      If-Modified-Since header name

    - #### IF_NONE_MATCH

          public static final CharSequence IF_NONE_MATCH

      If-None-Match header name

    - #### LAST_MODIFIED

          public static final CharSequence LAST_MODIFIED

      Last-Modified header name

    - #### LOCATION

          public static final CharSequence LOCATION

      Location header name

    - #### ORIGIN

          public static final CharSequence ORIGIN

      Origin header name

    - #### PROXY_AUTHENTICATE

          public static final CharSequence PROXY_AUTHENTICATE

      Proxy-Authenticate header name

    - #### PROXY_AUTHORIZATION

          public static final CharSequence PROXY_AUTHORIZATION

      Proxy-Authorization header name

    - #### REFERER

          public static final CharSequence REFERER

      Referer header name

    - #### RETRY_AFTER

          public static final CharSequence RETRY_AFTER

      Retry-After header name

    - #### SERVER

          public static final CharSequence SERVER

      Server header name

    - #### TRANSFER_ENCODING

          public static final CharSequence TRANSFER_ENCODING

      Transfer-Encoding header name

    - #### USER_AGENT

          public static final CharSequence USER_AGENT

      User-Agent header name

    - #### SET_COOKIE

          public static final CharSequence SET_COOKIE

      Set-Cookie header name

    - #### APPLICATION_X_WWW_FORM_URLENCODED

          public static final CharSequence APPLICATION_X_WWW_FORM_URLENCODED

      application/x-www-form-urlencoded header value

    - #### CHUNKED

          public static final CharSequence CHUNKED

      chunked header value

    - #### CLOSE

          public static final CharSequence CLOSE

      close header value

    - #### CONTINUE

          public static final CharSequence CONTINUE

      100-continue header value

    - #### IDENTITY

          public static final CharSequence IDENTITY

      identity header value

    - #### KEEP_ALIVE

          public static final CharSequence KEEP_ALIVE

      keep-alive header value

    - #### UPGRADE

          public static final CharSequence UPGRADE

      Upgrade header value

    - #### WEBSOCKET

          public static final CharSequence WEBSOCKET

      WebSocket header value

    - #### DEFLATE_GZIP

          public static final CharSequence DEFLATE_GZIP

      deflate,gzip header value

    - #### TEXT_HTML

          public static final CharSequence TEXT_HTML

      text/html header value

    - #### GET

          public static final CharSequence GET

      GET header value

  - ### Method Detail

    - #### createOptimized

          public static CharSequence createOptimized(String value)

      Create an optimized `CharSequence` which can be used as header name or value. This should be used if you expect to use it multiple times liked for example adding the same header name or value for multiple responses or requests.

Copyright © 2016. All rights reserved.